解决Let's Encrypt证书acme.sh不能自动续约的问题

  1. 网友热度 11,139 ℃ - 抢沙发
  2. 标签:,

可能也有部分网友发现这些问题,无论你是使用宝塔面板,还是使用LNMP或者Oneinstack脚本部署WEB系统的,如果有在使用免费Let's Encrypt证书,可能部分网站最近自动续约SSL会失效。应该是acme.sh是旧版本导致的问题,我们需要及时的升级到最新版本。

老 左(LAOZUO.ORg)在昨天晚上遇到一个网友提到自己的网站Let's Encrypt证书失效导致网站无法打开正常,他采用的是宝塔面板,他的解决办法是直接关闭SSL,然后重新加载安装Let's Encrypt证书,这样也是可行的,但是不清楚宝塔面板是否后续升级自动续约脚本。要不我们每次要等到三个月还得重新关闭开启。

如果我们脚本中有自带acme.sh升级功能的,可以直接用脚本自带的升级最新acme.sh,然后我们再重新遍历一遍证书更新,防止到时候不自动更新检测。

解决Let's Encrypt证书acme.sh不能自动续约的问题

如果我们WEB脚本自带升级最好也可以升级到最新版本。

这里我们直接升级完毕。

这里我们检查看到acme.sh是自动执行的,我们可以检查看看是否正常。

"/root/.acme.sh"/acme.sh --cron --home "/root/.acme.sh" --force

解决Let's Encrypt证书acme.sh不能自动续约的问题

老 左(laozuo.org)这里可以看到能够正常运行,看来这个服务器上的Let's Encrypt证书续约是没有问题的。

本文固定链接: https://www.laozuo.org/15069.html | 老左笔记


声明:我们不销售主机,选主机需合法使用,信息以实际为准。


关注公众号『站长事儿』

获取更多站长圈的新鲜事儿!
有您,有我,还有大家!

注意:任何主机需定期备份,防止数据丢失。主机需合法使用,信息以实际为准,评测不代表权威。
该日志由 老左 于2019年11月12日发表在 主机教程 分类下, 通告目前不可用,你可以至底部留下评论。
原创文章转载请注明: 解决Let's Encrypt证书acme.sh不能自动续约的问题